:root{
  --beige: #FFD6AF;
  --white: #FDFDFC;
  --light-gray: #9B9B9B;
  --gray: #656569;
  --black: #1F1F20;
  --blue: #4c53f1;
  --light-blue: #7C81F3;
  --hr-color: #fddec1;
}
#root {
  display: flex;
  flex-direction: column;
  gap: 30px;
  margin: 0 auto;
  color: var(--black);
  padding: 30px 0;
  max-width: 450px;
 
}


body{
  background-color: var(--beige);
}
hr{

border-top: 1px solid  var(--hr-color);
}
  

.todoHead{
 display: flex;
 justify-content: space-between;
}

.todoHead h1{
  margin: 0;
  font-size: 2.5rem;
  height: fit-content;
}
.todoHead > div{
  display: flex;
}
.todoHead > div > div{
  text-align: right;
  padding-right: 15px;
  line-height: 1.5em;
}
.todoHead h2{
  margin: 0;
  font-size: 1.5rem;
  height: fit-content;
}
.todoHead span{
  font-weight: 500;
  font-size: 1rem;
  color: #656569;
}


.addForm{
  display: flex;
  gap: 10px;
  
}
.addForm.addtodo{
  background-color: var(--white);
  padding: 30px;
  flex: 1;

  
}
.addForm input{
  flex: 1;
  color: #9f9f9f;
  font-weight: 600;
  padding: 0 15px;
  background-color: #fbfbfb;
  border: 1px solid #f0f0f0;
  border-radius: 2px;
}
.addForm button{
  background-color: var(--blue);
  border-radius: 0;

  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;

  height: 50px;
  width: 50px;
 

}

.addForm button span{
  position: absolute;
  display: block;
  background-color: var(--white);
 
}
.addForm button span:nth-child(1){
  height: 2px;
  left: 15px;
  right: 15px;
}
.addForm button span:nth-child(2){
  width: 2px;
  top: 15px;
  bottom: 15px;
}
ul{
  padding: 0;
}
li{
  list-style: none;
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-top: 10px;
}
li label{
  display: flex;
  align-items: center;
  gap: 5px;
 
}
input[type="checkbox"]{
  position: relative;

  appearance: none;
  min-width: 25px;
  height: 25px;
  border: 2px solid var(--blue);
}

input[type="checkbox"]:checked{
  background-color: #f1f1f1;
  border-color: #a3a3a3;
}

input[type="checkbox"]:checked::after{
  position: absolute;
  content: '\2713';
  font-weight: 800;
  font-size: 1.5rem;
  inset: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--gray);
}

.filter{
  display: flex;
  gap: 10px;
}

.deleteTaskBtn{
 padding: 0;
 background: none;
}

.todoList{
 
  flex: 1;
  padding: 2rem;
  background-color:  var(--white);
  border-radius: 2px;
  box-shadow: rgba(0, 0, 0, 0.45) 0px 15px 20px -20px;
}
.ListeTodoListe{
  display: flex;
  flex-direction: column;
  gap: 30px;
}
